
Foreman - Feature #32370

Detect CentOS 8 Stream as CentOSStream OS name

04/21/2021 10:47 AM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8456

  

Description

Puppet does report CentOSStream in os.distro.id instead of CentOS and this is the recommended way of detection. This will allow

working with both OSes for easier transition to Stream.

For more info read 

https://community.theforeman.org/t/provisioned-hosts-with-centos8-stream-change-os-after-first-puppet-run/23157

Related issues:

Related to Foreman - Feature #33470: Support CentOS Stream 8 detection based ... Closed

History

#1 - 04/21/2021 10:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8456 added

#2 - 10/26/2021 08:21 AM - Lukas Zapletal

- Related to Feature #33470: Support CentOS Stream 8 detection based on all facts added

#3 - 10/26/2021 08:26 AM - Lukas Zapletal

- Status changed from Ready For Testing to Rejected
